> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get LinkedIn posts

> Get a list of LinkedIn posts for the brand.



## OpenAPI

````yaml api-reference/scheduler-openapi.json GET /linkedin/scheduled_posts
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Hudson
    url: https://dashsocial.com
  description: >-
    Manage Scheduler content, links, analytics and more in the Dash Hudson
    platform.
  title: Dash Hudson Scheduler Backend Service
  version: 1.0.0
  x-logo:
    altText: Dash Hudson logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://scheduler.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: ''
    name: approval_requests
  - description: ''
    name: bluesky
  - description: ''
    name: events
  - description: ''
    name: facebook
  - description: >-
      APIs for creating, scheduling, and retrieving posts to be shown on
      Instagram Posts.
    name: instagram
  - description: ''
    name: linkedin
  - description: ''
    name: pinterest
  - description: Endpoints for recommended publish times
    name: publish_times
  - description: ''
    name: rss_feeds
  - description: ''
    name: snapchat
  - description: ''
    name: threads
  - description: ''
    name: tiktok
  - description: ''
    name: twitter
  - description: ''
    name: youtube
paths:
  /linkedin/scheduled_posts:
    get:
      tags:
        - linkedin
      summary: Get LinkedIn posts
      description: Get a list of LinkedIn posts for the brand.
      parameters:
        - description: Number of posts to return per page
          in: query
          name: limit
          required: false
          schema:
            default: null
            maximum: 1000
            minimum: 0
            nullable: true
            type: integer
        - description: Starting position of posts to return
          in: query
          name: offset
          required: false
          schema:
            default: 0
            minimum: 0
            type: integer
        - description: >-
            The ID of the brand the posts belong to. Required for
            non-application users.
          in: query
          name: brand_id
          required: false
          schema:
            minimum: 0
            type: integer
        - description: List of brand IDs for cross brand query (max 10).
          explode: false
          in: query
          name: brand_ids
          required: false
          schema:
            items:
              minimum: 0
              type: integer
            maxItems: 10
            minItems: 1
            type: array
          style: form
        - description: The status by which to filter posts.
          explode: false
          in: query
          name: status
          required: false
          schema:
            items:
              enum:
                - AUTOPUBLISHING
                - DRAFT
                - EXPIRED
                - FAILED
                - IMPORTED
                - MISSING_APPROVALS
                - PARTIALLY_FAILED
                - POSTED
                - SCHEDULED
                - SKIPPED
                - USERS_NOTIFIED
              type: string
            type: array
          style: form
        - description: The metric to sort results by.
          in: query
          name: sort
          required: false
          schema:
            default: TIMESTAMP
            enum:
              - '-SORT_INDEX'
              - '-TIMESTAMP'
              - '-UPDATED_AT'
              - SORT_INDEX
              - TIMESTAMP
              - UPDATED_AT
            type: string
        - description: The start of the range from which to fetch posts by time stamp.
          in: query
          name: start
          required: false
          schema:
            default: null
            format: date-time
            nullable: true
            type: string
        - description: The end date of the range of posts being fetched by time stamp.
          in: query
          name: end
          required: false
          schema:
            default: null
            format: date-time
            nullable: true
            type: string
        - description: Indicates if the post has a scheduled timestamp.
          in: query
          name: has_scheduled_time
          required: false
          schema:
            nullable: true
            type: boolean
        - description: List of unique source ids.
          explode: false
          in: query
          name: source_ids
          required: false
          schema:
            items:
              type: string
            nullable: true
            type: array
          style: form
        - description: Whether to resolve library references (media, boards, etc).
          in: query
          name: resolve_references
          required: false
          schema:
            default: true
            type: boolean
      responses:
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  schemas:
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````